AOMedia AV1 Codec: Data Fields - Variables

| AOMedia AV1 Codec

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - s -

- sadperbit : macroblock
- samples : aom_codec_cx_pkt
- samples_hbd : aom_codec_cx_pkt
- save_as_annexb : aom_codec_enc_cfg
- sb64_target_rate : RATE_CONTROL
- sb_col_scroll : macroblock
- sb_counter : AV1_COMP
- sb_enc : macroblock
- sb_energy_level : macroblock
- sb_features : aom_partition_features
- sb_force_fixed_part : macroblock
- sb_fp_stats : macroblock
- sb_index : CYCLIC_REFRESH, LAYER_CONTEXT
- sb_me_block : macroblock
- sb_me_mv : macroblock
- sb_me_partition : macroblock
- sb_row_scroll : macroblock
- sb_stats_cache : macroblock
- scaled_last_source : AV1_COMP
- scaled_last_source_available : AV1_COMP
- scaled_ref_buf : AV1_COMP
- scaled_source : AV1_COMP
- scaling_factor_den : aom_svc_params
- scaling_factor_num : aom_svc_params
- screen_detection_mode : AlgoCfg
- screen_detection_mode2_fast_detection : HIGH_LEVEL_SPEED_FEATURES
- search_done : GlobalMotionInfo
- search_site_cfg : MotionVectorSearchParams
- search_site_cfg_buf : macroblock
- sec_strength : CdefBlockInfo
- second_alt_ref_filtering : HIGH_LEVEL_SPEED_FEATURES
- second_pass_log_stream : AV1_COMP
- seg : AV1Common
- seg_id_predicted : MB_MODE_INFO
- seg_mask : macroblockd
- seg_skip_block : macroblock
- segment_id : MB_MODE_INFO
- segment_map_h : GlobalMotionInfo
- segment_map_w : GlobalMotionInfo
- self_allocd : aom_image
- send_features : aom_ext_part_funcs
- send_partition_stats : aom_ext_part_funcs
- seq_params : AV1_PRIMARY, AV1Common
- seq_params_locked : AV1_PRIMARY
- set_mb_mi : CommonModeInfoParams
- setup_mi : CommonModeInfoParams
- sf : AV1_COMP, TemporalFilterCtx, TplParams
- sf_identity : AV1Common
- sframe_dist : aom_codec_enc_cfg, KeyFrameCfg
- sframe_mode : aom_codec_enc_cfg, KeyFrameCfg
- sgrproj : RestUnitSearchInfo
- sgrproj_info : macroblockd, RestorationUnitInfo
- sgrproj_restore_cost : ModeCosts
- sharpness : AlgoCfg, CommonQuantParams
- show_existing : Av1DecodeReturn
- show_existing_alt_ref : AV1_PRIMARY
- show_existing_frame : AV1Common
- show_frame : AV1Common, EncodeFrameParams
- showable_frame : AV1Common
- single_inter_mode_costs : InterModeSearchStateNonrd
- single_ref_cost : ModeCosts
- single_tile_decoding : CommonTileParams
- size : aom_codec_frame_buffer
- skip : aom_roi_map
- skip_intra_modes : IntraModeSearchState
- skip_mode : macroblock, MB_MODE_INFO
- skip_mode_cost : ModeCosts
- skip_motion_mode : motion_mode_candidate
- skip_motion_search_threshold : FIRST_PASS_SPEED_FEATURES
- skip_postproc_filtering : AlgoCfg
- skip_tpl_setup_stats : AV1_COMP
- skip_txfm : MB_MODE_INFO, TxfmSearchInfo
- skip_txfm_cost : ModeCosts
- skip_txfm_level : TxfmSearchParams, WinnerModeParams
- skip_uvs : IntraModeSearchState
- skip_zeromv_motion_search : FIRST_PASS_SPEED_FEATURES
- source : AV1_COMP
- source_variance : macroblock
- spatial_id : aom_image
- spatial_layer_id : aom_svc_layer_id, AV1Common
- spatial_pred_cost : ModeCosts
- speed : AV1_COMP, EncodeFrameParams, LAYER_CONTEXT
- sr_coded_error : FIRSTPASS_STATS
- src : CdefBlockInfo, macroblock_plane
- src_diff : macroblock_plane
- src_ref_frame : TplParams
- src_sad_blk_64x64 : AV1_COMP
- src_var_info_of_4x4_sub_blocks : macroblock
- srcbuf : CdefInfo
- sse : aom_codec_cx_pkt
- sse_arr : inter_modes_info
- sse_hbd : aom_codec_cx_pkt
- ssim_rdmult_scaling_factors : AV1_COMP
- start_index : FIRSTPASS_INFO
- starting_buffer_level : PRIMARY_RATE_CONTROL
- starting_buffer_level_ms : RateControlCfg
- static_segmentation : HIGH_LEVEL_SPEED_FEATURES
- static_stats_buf : FIRSTPASS_INFO
- stats_buf : FIRSTPASS_INFO
- stats_buf_size : FIRSTPASS_INFO
- stats_count : FIRSTPASS_INFO
- stride : aom_image, MBMIExtFrameBufferInfo
- stripe_boundary_above : RestorationStripeBoundaries
- stripe_boundary_below : RestorationStripeBoundaries
- stripe_boundary_size : RestorationStripeBoundaries
- stripe_boundary_stride : RestorationStripeBoundaries
- sub_block_sse : aom_partition_features
- sub_block_var : aom_partition_features
- super_block_size : cfg_options
- superblock_size : aom_ext_part_config
- superres_auto_search_type : HIGH_LEVEL_SPEED_FEATURES
- superres_kf_qthresh : SuperResCfg
- superres_kf_scale_denominator : SuperResCfg
- superres_mode : AV1_COMP, SuperResCfg
- superres_qthresh : SuperResCfg
- superres_scale_denominator : AV1Common, SuperResCfg
- superres_upscaled_height : AV1Common
- superres_upscaled_width : AV1Common
- svc : AV1_COMP
- switchable_interp_costs : ModeCosts
- switchable_interp_probs : FrameProbInfo
- switchable_motion_mode : FeatureFlags
- switchable_restore_cost : ModeCosts
- sync_range : AV1EncRowMultiThreadSync
- sync_read_ptr : AV1EncRowMultiThreadInfo
- sync_write_ptr : AV1EncRowMultiThreadInfo
- sz : aom_codec_cx_pkt, aom_fixed_buf, aom_image, aom_metadata